﻿using MultiLayout.UiModule;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Thick.Blowing.UI.Fix.Client.UiModule
{
    /// <summary>
    /// 纵向图的参数
    /// </summary>
    public class TrendGraphItemParam : UIModuleParam
    {

        /// <summary>
        /// 数据量
        /// </summary>
        public int Len { get; set; } = 100;

        /// <summary>
        /// 曲线类型
        /// </summary>
        public FLY.ControlLibrary.GraphRangeType Type { get; set; } = FLY.ControlLibrary.GraphRangeType.Avg;


        /// <summary>
        /// X轴类型
        /// </summary>
        public FLY.ControlLibrary.GraphRangeXAxisType XType { get; set; } = FLY.ControlLibrary.GraphRangeXAxisType.Time;


        /// <summary>
        /// Y轴比例
        /// </summary>
        public double YRangePercent { get; set; } = 3;


        /// <summary>
        /// 混合图
        /// </summary>
        public int Mix { get; set; } = 1;


        /// <summary>
        /// 自动目标值
        /// </summary>
        public bool IsAutoTarget { get; set; } = true;


        /// <summary>
        /// % 显示
        /// </summary>
        public bool IsPercent { get; set; } = true;
    }
}
