﻿using System.Windows;

namespace FLY.Thick.Blowing.UI.Fix.Client.UiModule
{
    /// <summary>
    /// Window_GraphScanCircular.xaml 的交互逻辑
    /// </summary>
    public partial class ScanGraphCircularConfig : FLY.ControlLibrary.WindowBigClose
    {
        ScanGraphCircularParam graphparam_scan;
        public ScanGraphCircularConfig()
        {
            InitializeComponent();
        }
        public void Init(ScanGraphCircularParam graphparam_scan)
        {
            this.graphparam_scan = graphparam_scan;
            this.DataContext = graphparam_scan;
        }


        private void btnPreClick(object sender, RoutedEventArgs e)
        {
            graphparam_scan.Number--;
        }

        private void btnNextClick(object sender, RoutedEventArgs e)
        {
            graphparam_scan.Number++;
        }

        private void btnOkClick(object sender, RoutedEventArgs e)
        {
            ScanGraphCircularParams.Current.Save();
        }
    }
}
