﻿using MultiLayout;
using MultiLayout.UiModule;

namespace FLY.Thick.Blowing.UI.Fix.Client.UiModule
{
    /// <summary>
    /// 全部扫描图的参数
    /// </summary>
    public class ScanGraphCircularParams : UIModuleParams<ScanGraphCircularParam>
    {
        static ScanGraphCircularParams()
        {
        }
        public ScanGraphCircularParams()
        {
            string path = System.IO.Path.Combine(FlyLayout.BasePath, "scangraphcircular.json");
            FilePath = path;
        }

        static ScanGraphCircularParams current = null;
        public static ScanGraphCircularParams Current
        {
            get
            {
                if (current == null)
                {
                    current = new ScanGraphCircularParams();
                    current.Load();
                }
                return current;
            }
        }
    }
}
