﻿using FLY.ControlLibrary;
using FLY.Thick.Blowing.Common;
using FLY.Thick.Blowing.IService;
using System;
using System.Collections.ObjectModel;
using System.Windows.Controls;
using System.Windows.Data;
using Unity;

namespace FLY.Thick.Blowing.UI.Fix.Client.UiModule
{
    /// <summary>
    /// TrendGraph.xaml 的交互逻辑
    /// </summary>
    public partial class TrendGraph : UserControl
    {
        TrendGraphVm viewModel;

        public TrendGraph()
        {
            InitializeComponent();
        }

        [InjectionMethod]
        public void Init(int id,
            IBulkDbService bulkDb,
            IBlowingFixProfileService profileService)
        {

            var graphparam = TrendGraphParams.Current.Items.Find(p => p.ID == id);
            if (graphparam == null)
            {
                graphparam = new TrendGraphItemParam() { ID = id };
                TrendGraphParams.Current.Items.Add(graphparam);
                TrendGraphParams.Current.Save();
            }
            viewModel = new TrendGraphVm();
            viewModel.Init(graphparam, bulkDb, profileService.Param, graphrange);
        }



    }






}
