﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using FObjBase;
using FLY.Thick.Blowing.OBJ_INTERFACE;
using FLY.Thick.Blowing.IService;
using Misc;
using Newtonsoft.Json;

namespace FLY.Thick.Blowing.Client
{
    public class BlowingFixServiceClient : BlowingServiceClient, IBlowingFixService
    {
        protected override Type InterfaceType => typeof(IBlowingFixService);




        public BlowingFixServiceClient(UInt32 serverid) : base(serverid) { }


        public BlowingFixServiceClient(UInt32 serviceId, string connName) : base(serviceId, connName) { }

        #region 功能

        /// <summary>
        /// 获取 立式旋转架 的 膜距离增量
        /// </summary>
        /// <param name="begin">开始时间</param>
        /// <param name="asyncDelegate">retdata = GetFilmLength3DReponse</param>
        /// <param name="asyncContext"></param>
        public void GetADList(DateTime begin, AsyncCBHandler asyncDelegate, object asyncContext)
        {
            Call(nameof(GetADList), new { begin }, asyncDelegate, asyncContext);
        }
        #endregion
    }
}


